Bug 1257689 - [abrt] liveusb-creator: genericpath.py:26:exists:TypeError: coercing to Unicode: need string or buffer, NoneType found
[abrt] liveusb-creator: genericpath.py:26:exists:TypeError: coercing to Unico...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5b01fec29b8b61c241192343d2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 12:46 EDT by Ryan Gillette
Modified: 2016-09-19 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (558 bytes, text/plain)
2015-08-27 12:47 EDT, Ryan Gillette
no flags Details
File: environ (232 bytes, text/plain)
2015-08-27 12:47 EDT, Ryan Gillette
no flags Details

  None (edit)
Description Ryan Gillette 2015-08-27 12:46:58 EDT
Version-Release number of selected component:
liveusb-creator-3.14.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -tt /usr/sbin/liveusb-creator
dso_list:       python-libs-2.7.10-4.fc22.x86_64
executable:     /usr/sbin/liveusb-creator
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
genericpath.py:26:exists:TypeError: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 548, in begin
    self.live.mount_device()
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 675, in mount_device
    if not os.path.exists(mnt):
  File "/usr/lib64/python2.7/genericpath.py", line 26, in exists
    os.stat(path)
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
path: None
Comment 1 Ryan Gillette 2015-08-27 12:47:01 EDT
Created attachment 1067835 [details]
File: backtrace
Comment 2 Ryan Gillette 2015-08-27 12:47:02 EDT
Created attachment 1067836 [details]
File: environ
Comment 3 Fedora End Of Life 2016-07-19 13:41:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.